### Name: depmix
### Title: Dependent Mixture Model Specifiction
### Aliases: depmixS4 depmix depmix,ANY-method logLik logLik,depmix-method
###   AIC AIC,depmix-method BIC BIC,depmix-method nobs nobs,depmix-method
###   npar npar,depmix-method freepars freepars,depmix-method setpars
###   setpars,depmix-method getpars getpars,depmix-method
###   show,depmix-method summary,depmix-method
### Keywords: methods

### ** Examples


# create a 2 state model with one continuous and one binary response
data(speed)
mod <- depmix(list(rt~1,corr~1),data=speed,nstates=2,family=list(gaussian(),multinomial()))
# print the model, formulae and parameter values
mod

# to see the ordering of parameters to use in setpars
mod <- setpars(mod, value=1:npar(mod))
mod

# to see which parameters are fixed (by default only baseline parameters in
# the multinomial logistic models for the transition models and the initial
# state probabilities model
mod <- setpars(mod, getpars(mod,which="fixed"))
mod




